#include "defines.h"
#include "ascsi.h"
#include <scsi.h>

int S_CheckReady(unlong scsiid)
// ドライブの状態をチェック
// =0:OK , !=0:ドライブが動作可能状態にない
{
int ret;
int retry = 0;
	do {
		// ドライブ状態チェック
		ret=S_TESTUNIT(scsiid);
		if (!ret) break; // 正常終了
		// エラー時のリトライ
		ret=S_Retry(scsiid,ret,&retry);
	} while (ret==0); // リトライ用
	return(ret);
}
